<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."sf_shoutbox_panel/infusion_db.php";

if (file_exists(INFUSIONS."sf_shoutbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."sf_shoutbox_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."sf_shoutbox_panel/locale/English.php"; }

// Infusion Information

$inf_title = $locale['sfsb_100'];
$inf_description = $locale['sfsb_101'];
$inf_version = "1.0.0";
$inf_developer = "Starefossen";
$inf_email = "starefossen@php-fusion.co.uk";
$inf_weburl = "http://dev.starefossen.com";

$inf_folder = "sf_shoutbox_panel";

$inf_newtable[1] = DB_SF_SHOUT_VOTE." (
vote_id mediumint(8) unsigned NOT NULL auto_increment,
vote_user_id mediumint(8) unsigned NOT NULL,
shout_id mediumint(8) unsigned NOT NULL,
vote_value varchar(2) NOT NULL,
vote_datestamp int(10) unsigned NOT NULL default '0',
PRIMARY KEY (vote_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_SF_SHOUT_AMNESTY." (
shout_id mediumint(8) unsigned NOT NULL,
shout_amnesty tinyint(8) unsigned NOT NULL default '1',
PRIMARY KEY (shout_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_SF_SHOUT_VOTE;
$inf_droptable[2] = DB_SF_SHOUT_AMNESTY;

$inf_adminpanel[1] = array(
	"title" => $locale['sfsb_100'],
	"image" => "",
	"panel" => "admin/index.php",
	"rights" => "SHOT"
);

?>