<?php
/*-------------------------------------------------------+

| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (file_exists(INFUSIONS."sf_shoutbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."sf_shoutbox_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."sf_shoutbox_panel/locale/English.php"; }

if (!checkrights("SHOT") || $_GET['aid'] != iAUTH) { die("Access Denied"); }

require_once INFUSIONS."sf_shoutbox_panel/infusion_db.php";
require_once INFUSIONS."sf_shoutbox_panel/inc/functions.php";

if (isset($_GET['action']) && isset($_GET['id']) && isnum($_GET['id'])) {
	if ($_GET['action'] == "amnesty") {
		$result = dbquery("INSERT INTO ".DB_SF_SHOUT_AMNESTY." (shout_id) VALUES ('".$_GET['id']."')");
		$result = dbquery("DELETE FROM ".DB_SF_SHOUT_VOTE." WHERE shout_id='".$_GET['id']."'");
		redirect(FUSION_SELF.$aidlink);
	} elseif ($_GET['action'] == "r_amnesty") {
		$result = dbquery("DELETE FROM ".DB_SF_SHOUT_AMNESTY." WHERE shout_id='".$_GET['id']."'");
		redirect(FUSION_SELF.$aidlink);

	} elseif ($_GET['action'] == "delete") {
		$result = dbquery("DELETE FROM ".DB_SF_SHOUT_VOTE." WHERE shout_id='".$_GET['id']."'");
		$result = dbquery("DELETE FROM ".DB_SHOUTBOX." WHERE shout_id='".$_GET['id']."'");
		redirect(FUSION_SELF.$aidlink);
	} elseif ($_GET['action'] == "user") {
		$result = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$_GET['id']."' LIMIT 1");
		if (dbrows($result)) {
			$data = dbarray($result);
			opentable("<a href='".FUSION_SELF.$aidlink."'>".$locale['sfsb_111']."</a> :: ".$locale['sfsb_113']." :: ".$data['user_name']);

			echo "<table width='100%'><tr>";
			echo "<td width='20%' valign='top'>";
			openside($locale['sfsb_119']);

			echo "<table width='100%'><tr>";
			echo "<td class='tbl1'><strong>".$locale['sfsb_110'].": </strong></td>";
			echo "<td class='tbl1'>".dbcount("(shout_id)", DB_SHOUTBOX, "shout_name='".$_GET['id']."'")."</td>";
			echo "</tr><tr>";
			echo "<td class='tbl1'><strong>--".$locale['sfsb_103'].": </strong></td>";
			echo "<td class='tbl1'></td>";
			echo "</tr><tr>";
			echo "<td class='tbl1'><strong>--".$locale['sfsb_104'].": </strong></td>";
			echo "<td class='tbl1'></td>";
			echo "</tr><tr>";
			echo "<td class='tbl1'><strong>".$locale['global_134'].": </strong></td>";
			echo "<td class='tbl1'>".dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "vote_user_id='".$_GET['id']."'")."</td>";
			echo "</tr><tr>";
			echo "<td class='tbl1'><strong>--".$locale['sfsb_104'].": </strong></td>";
			echo "<td class='tbl1'>".dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "vote_user_id='".$_GET['id']."' AND vote_value='-1'")."</td>";
			echo "</tr><tr>";
			echo "<td class='tbl1'><strong>--".$locale['sfsb_103'].": </strong></td>";
			echo "<td class='tbl1'>".dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "vote_user_id='".$_GET['id']."' AND vote_value='1'")."</td>";
			echo "</tr></table>";
			closeside();

			echo "</td><td width='40%' valign='top'>";		

			openside($locale['sfsb_110']);

			$result = dbquery(
				"SELECT SUM(COALESCE(sv.vote_value,0)) as vote_count, ts.*, COALESCE(sa.shout_amnesty,0) as amnesty
				FROM ".DB_SHOUTBOX." ts
				LEFT JOIN ".DB_SF_SHOUT_VOTE." sv ON ts.shout_id=sv.shout_id
				LEFT JOIN ".DB_SF_SHOUT_AMNESTY." sa ON ts.shout_id=sa.shout_id
				WHERE shout_name='".$_GET['id']."'
				GROUP BY ts.shout_id
				ORDER BY ts.shout_datestamp DESC 
				LIMIT 5"

			);

			if (dbrows($result)) {

				echo "<table width='100%'><tr>";
				echo "<td class='tbl2'><strong>".$locale['global_152']."</strong></td>";
				echo "<td class='tbl2'><strong>".$locale['sfsb_118']."</strong></td>";
				echo "</tr>";
				while ($data = dbarray($result)) {
					echo "<tr>";
					echo "<td class='tbl1' valign='top'>".sbwrap(parseubb($data['shout_message'], "b|i|u|url|color"))."</td>";
					echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=votes&amp;id=".$data['shout_id']."'>".dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "shout_id='".$data['shout_id']."'")."</a></td>";
					echo "</tr>";
				}
				echo "</table>";
			} else {
				echo $locale['sfsb_106'];
			}
			closeside();

			echo "</td><td width='40%' valign='top'>";
			openside($locale['sfsb_112']);
			$result = dbquery(
				"SELECT sv.*, ts.*
				FROM ".DB_SF_SHOUT_VOTE." sv
				LEFT JOIN ".DB_SHOUTBOX." ts ON sv.shout_id=ts.shout_id
				WHERE sv.vote_user_id='".$_GET['id']."'
				ORDER BY ts.shout_datestamp DESC 
				LIMIT 5"

			);

			if (dbrows($result)) {
				echo "<table width='100%'><tr>";
				echo "<td class='tbl2'><strong>".$locale['global_152']."</strong></td>";
				echo "<td class='tbl2'><strong>".$locale['global_133']."</strong></td>";
				echo "</tr>";
				while ($data = dbarray($result)) {
					echo "<tr>";
					echo "<td class='tbl1' valign='top'>".sbwrap(parseubb($data['shout_message'], "b|i|u|url|color"))."</td>";
					echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=votes&amp;id=".$data['shout_id']."'>".($data['vote_value'] == 1 ? $locale['sfsb_103'] : $locale['sfsb_104'])."</a></td>";
					echo "</tr>";
				}
				echo "</table>";
			} else {
				echo $locale['sfsb_106'];
			}
			closeside();
			echo "</td></tr></table>";	
			closetable();
		}

	} elseif ($_GET['action'] == "votes") {
		opentable("<a href='".FUSION_SELF.$aidlink."'>".$locale['sfsb_111']."</a> :: ".$locale['sfsb_112']." :: #".$_GET['id']);
		$result = dbquery(
			"SELECT sv.*, tu.user_id, tu.user_name, tu.user_level
			FROM ".DB_SF_SHOUT_VOTE." sv
			LEFT JOIN ".DB_USERS." tu ON sv.vote_user_id=tu.user_id
			WHERE shout_id='".$_GET['id']."'
			ORDER BY sv.vote_datestamp DESC"

		);

		if (dbrows($result)) {

			echo "<table width='100%'><tr>";
			echo "<td class='tbl2'><strong>".$locale['sfsb_113']."</strong></td>";
			echo "<td class='tbl2'><strong>".$locale['global_133']."</strong></td>";
			echo "<td class='tbl2'><strong>".$locale['sfsb_109']."</strong></td>";
			echo "</tr>";
			while ($data = dbarray($result)) {

				echo "<tr>";
				echo "<td class='tbl1'><a href='".FUSION_SELF.$aidlink."&amp;action=user&amp;id=".$data['user_id']."'>".$data['user_name']."</a></td>";
				echo "<td class='tbl1'>".($data['vote_value'] == "1" ? $locale['sfsb_103'] : $locale['sfsb_104'])."</td>";
				echo "<td class='tbl1'>".showdate("shortdate", $data['vote_datestamp'])."</td>";
				echo "</tr>";
			}

			echo "</table>";
		} else {
			echo $locale['sfsb_105'];
		}
		closetable();
	} else {
		redirect(FUSION_SELF.$aidlink);
	}

} else {
	$numrows = dbcount_sb();
	
	opentable($locale['sfsb_116']);

	$result = dbquery(

		"SELECT SUM(COALESCE(sv.vote_value,0)) as vote_count, ts.*, COALESCE(sa.shout_amnesty,0) as amnesty, tu.user_id, tu.user_name, tu.user_level
		FROM ".DB_SHOUTBOX." ts
		LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
		LEFT JOIN ".DB_SF_SHOUT_VOTE." sv ON ts.shout_id=sv.shout_id
		LEFT JOIN ".DB_SF_SHOUT_AMNESTY." sa ON ts.shout_id=sa.shout_id
		GROUP BY ts.shout_id
		HAVING amnesty = 0 AND vote_count <= ".SF_VOTE_LIMIT."
		ORDER BY ts.shout_datestamp DESC 
		LIMIT 0,".$settings['numofshouts']

	);

	if (dbrows($result)) {

		echo "<table width='100%'><tr>";
		echo "<td class='tbl2'><strong>".$locale['global_151']."</strong></td>";
		echo "<td class='tbl2'><strong>".$locale['global_152']."</strong></td>";
		echo "<td class='tbl2' width='100'><strong>".$locale['sfsb_109']."</strong></td>";
		echo "<td class='tbl2'><strong>".$locale['global_134']."</strong></td>";
		echo "<td class='tbl2' width='120'><strong>".$locale['global_057']."</strong></td>";
		while ($data = dbarray($result)) {

			echo "<tr>";
			echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=user&amp;id=".$data['user_id']."'>".$data['user_name']."</a></td>";
			echo "<td class='tbl1' valign='top'>".sbwrap(parseubb(parsesmileys($data['shout_message']), "b|i|u|url|color"))."</td>";
			echo "<td class='tbl1' valign='top'>".showdate("shortdate", $data['shout_datestamp'])."</td>";
			echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=votes&amp;id=".$data['shout_id']."'>".dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "shout_id='".$data['shout_id']."'")."</a></td>";
			echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;id=".$data['shout_id']."'>".$locale['global_157']."</a> | <a href='".FUSION_SELF.$aidlink."&amp;action=amnesty&amp;id=".$data['shout_id']."'>".$locale['sfsb_117']."</a></td>";
			echo "</tr>";
		}
		echo "</table>";
	} else {
		echo $locale['sfsb_108'];
	}
	closetable();

	opentable($locale['sfsb_115']);

	$result = dbquery(
		"SELECT ts.*, COALESCE(sa.shout_amnesty,0) as amnesty, tu.user_id, tu.user_name, tu.user_level
		FROM ".DB_SHOUTBOX." ts
		LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
		LEFT JOIN ".DB_SF_SHOUT_AMNESTY." sa ON ts.shout_id=sa.shout_id
		GROUP BY ts.shout_id
		HAVING amnesty = 1
		ORDER BY ts.shout_datestamp DESC 
		LIMIT 0,".$settings['numofshouts']
	);

	if (dbrows($result)) {
		echo "<table width='100%'><tr>";
		echo "<td class='tbl2'><strong>".$locale['global_151']."</strong></td>";
		echo "<td class='tbl2'><strong>".$locale['global_152']."</strong></td>";
		echo "<td class='tbl2'><strong>".$locale['sfsb_109']."</strong></td>";
		echo "<td class='tbl2'><strong>".$locale['global_057']."</strong></td>";
		while ($data = dbarray($result)) {
			echo "<tr>";
			echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=user&amp;id=".$data['user_id']."'>".$data['user_name']."</a></td>";
			echo "<td class='tbl1' valign='top'>".sbwrap(parseubb(parsesmileys($data['shout_message']), "b|i|u|url|color"))."</td>";
			echo "<td class='tbl1' valign='top'>".showdate("shortdate", $data['shout_datestamp'])."</td>";
			echo "<td class='tbl1' valign='top'><a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;id=".$data['shout_id']."'>".$locale['global_157']."</a> | <a href='".FUSION_SELF.$aidlink."&amp;action=r_amnesty&amp;id=".$data['shout_id']."'>".$locale['sfsb_114']."</a></td>";
			echo "</tr>";
		}
		echo "</table>";
	} else {
		echo $locale['sfsb_107'];
	}	

	closetable();
}

$v = $sf_shoutbox_version; // Alter $version to whatever variable your version is stored in!

echo "<!-- Version Checker 2.0.0 @ http://version.starefossen.com - Copyright Starefossen 2007-2009 -->";
echo "<div style='float:right;'>\n";
echo "<script type='text/javascript' src='http://version.starefossen.com/infusions/version_updater/checker/js.php?ps=shout&amp;v=".$v."'></script>";
echo "<noscript><a href='http://version.starefossen.com/' target='_blank'><strong>JavaScript disabled:</strong> Check version manually!</a></noscript>";
echo "</div>";
echo "<div style='clear:both;'></div>\n";
require_once THEMES."templates/footer.php";
?>

