<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."sf_shoutbox_panel/infusion_db.php";

define("SF_VOTE_LIMIT", -5);

$sf_shoutbox_version 	= "1.0.0";
$sf_shoutbox_word 		= "Who,What,Where,When,Why,How";

function dbcount_sb() {

	$result = dbquery(
		"SELECT SUM(COALESCE(sv.vote_value,0)) as vote_count, COALESCE(sa.shout_amnesty,0) as amnesty
		FROM ".DB_SHOUTBOX." ts
		LEFT JOIN ".DB_SF_SHOUT_VOTE." sv ON ts.shout_id=sv.shout_id
		LEFT JOIN ".DB_SF_SHOUT_AMNESTY." sa ON ts.shout_id=sa.shout_id
		GROUP BY ts.shout_id
		HAVING amnesty = 1 OR vote_count > ".SF_VOTE_LIMIT

	);

	return dbrows($result);
}

function checkwords($text) {
	global $sf_shoutbox_word;
	if ($sf_shoutbox_word != "" ) {
		$word_list = explode(",", $sf_shoutbox_word);
		for ($i=0; $i < count($word_list); $i++) {
			if ($word_list[$i] != "" && preg_match("/".$word_list[$i]."/si", $text)) {
				return true;
				exit;	
			}
		}
	}
	return false;
}

function sbwrap($text) {	

	$i = 0; $tags = 0; $chars = 0; $res = "";

	$str_len = strlen($text);
	for ($i = 0; $i < $str_len; $i++) {
		$chr = substr($text, $i, 1);
		if ($chr == "<") {
			if (substr($text, ($i + 1), 6) == "a href" || substr($text, ($i + 1), 3) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;

		} elseif ($chr == "&") {
			if (substr($text, ($i + 1), 5) == "quot;") {
				$chars = $chars - 5;
			} elseif (substr($text, ($i + 1), 4) == "amp;" || substr($text, ($i + 1), 4) == "#39;" || substr($text, ($i + 1), 4) == "#92;") {
				$chars = $chars - 4;
			} elseif (substr($text, ($i + 1), 3) == "lt;" || substr($text, ($i + 1), 3) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}		

		if (!$tags && $chars == 18) {
			$chr .= "<br />";
			$chars = 0;
		}
		$res .= $chr;
	}	
	return $res;
}

?>