<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox_archive.php
| Author: Nick Jones (Digitanium)
| Modifyed: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

$result = dbquery("SELECT panel_access FROM ".DB_PANELS." WHERE panel_filename='sf_shoutbox_panel' AND panel_status='1'");
if (dbrows($result)) {
	$data = dbarray($result);
	if (!checkgroup($data['panel_access'])) {
		redirect(BASEDIR."index.php");
	}
} else {
	redirect(BASEDIR."index.php");
}

require_once INFUSIONS."sf_shoutbox_panel/inc/functions.php";

$link = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
$link = preg_replace("^(&amp;|\?)s_action=(edit|delete|n_vote|y_vote)&amp;shout_id=\d*^", "", $link);
$sep = stristr($link, "?") ? "&amp;" : "?";

if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "delete") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
	if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
		$result = dbquery("DELETE FROM ".DB_SHOUTBOX." WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
	}
	redirect($link);

}

add_to_title($locale['global_200'].$locale['global_155']);

opentable($locale['global_155']);

if (iMEMBER || $settings['guestposts'] == "1") {
	include_once INCLUDES."bbcode_include.php";
	if (isset($_POST['post_ashout'])) {
		$flood = false;

		if (iMEMBER) {

			$shout_name = $userdata['user_id'];

		} elseif ($settings['guestposts'] == "1") {
			$shout_name = trim(stripinput($_POST['shout_name']));
			$shout_name = preg_replace("(^[0-9]*)", "", $shout_name);
			if (isnum($shout_name)) { $shout_name = ""; }
			include_once INCLUDES."securimage/securimage.php";
			$securimage = new Securimage();
			if (!isset($_POST['sb_captcha_code']) || $securimage->check($_POST['sb_captcha_code']) == false) { redirect($link); }
		}
		$shout_message = str_replace("\n", " ", $_POST['shout_message2']);
		$shout_message = preg_replace("/^(.{255}).*$/", "$1", $shout_message);
		$shout_message = trim(stripinput(censorwords($shout_message)));
		if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
			$comment_updated = false;
			if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
				if ($shout_message) {
					$result = dbquery("UPDATE ".DB_SHOUTBOX." SET shout_message='$shout_message' WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
				}
			}
			redirect($link);
		} elseif ($shout_name && $shout_message) {
			require_once INCLUDES."flood_include.php";
			if (!flood_control("shout_datestamp", DB_SHOUTBOX, "shout_ip='".USER_IP."'")) {
				$result = dbquery("INSERT INTO ".DB_SHOUTBOX." (shout_name, shout_message, shout_datestamp, shout_ip) VALUES ('$shout_name', '$shout_message', '".time()."', '".USER_IP."')");
			}
		}

		redirect($link."#edit_ashout");

	} elseif (iMEMBER && (isset($_GET['s_action']) && (($_GET['s_action'] == "n_vote") || ($_GET['s_action'] == "y_vote"))) 
		&& (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
		$result = dbquery(

			"SELECT SUM(COALESCE(sv.vote_value,0)) as vote_count, ts.*, COALESCE(sa.shout_amnesty,0) as amnesty, tu.user_level
			FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			LEFT JOIN ".DB_SF_SHOUT_VOTE." sv ON ts.shout_id=sv.shout_id
			LEFT JOIN ".DB_SF_SHOUT_AMNESTY." sa ON ts.shout_id=sa.shout_id
			WHERE ts.shout_id = ".$_GET['shout_id']."
			GROUP BY ts.shout_id
			HAVING amnesty = 1 OR vote_count > ".SF_VOTE_LIMIT."
			ORDER BY ts.shout_datestamp DESC 
			LIMIT 1"

		);

		if (dbrows($result)) {
			$data = dbarray($result);
			if (iMEMBER && $data['shout_name'] != $userdata['user_id'] && $data['amnesty'] == 0 && $data['user_level'] == 101) {
				if (!dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "shout_id='".$data['shout_id']."' AND vote_user_id='".$userdata['user_id']."'")) {
					$vote_value = ($_GET['s_action'] == "y_vote" ? "1" : "-1");
					$result = dbquery("INSERT INTO ".DB_SF_SHOUT_VOTE." (
						vote_user_id, 
						shout_id, 
						vote_value, 
						vote_datestamp

					) VALUES (
						'".$userdata['user_id']."',
						'".$_GET['shout_id']."',
						'$vote_value',
						'".time()."
					')");
				}
			}
		}

		redirect($link."#edit_ashout");
	} elseif (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
		$esresult = dbquery(
			"SELECT ts.*, tu.user_id, tu.user_name FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			WHERE ts.shout_id='".$_GET['shout_id']."'"
		);

		if (dbrows($esresult)) {
			$esdata = dbarray($esresult);
			if ((iADMIN && checkrights("S")) || (iMEMBER && $esdata['shout_name'] == $userdata['user_id'] && isset($esdata['user_name']))) {
				if ((isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
					$edit_url = $sep."s_action=edit&amp;shout_id=".$esdata['shout_id'];
				} else {
					$edit_url = "";
				}
				$shout_link = $link.$edit_url;
				$shout_message = $esdata['shout_message'];
			}
		} else {
			$shout_link = $link;
			$shout_message = "";
		}
	} elseif (isset($_GET['message'])) {
		$shout_link = FUSION_SELF;
		$shout_message = stripinput($_GET['message']);
		echo "<div class='admin-message'>".$locale['sfsb_162']."</div>";
	} else {
		$shout_link = $link;
		$shout_message = "";
	}

	echo "<a id='edit_ashout' name='edit_ashout'></a>\n";
	echo "<form name='chatform2' method='post' action='".$shout_link."'>\n";
	echo "<div style='text-align:center'>\n";
	if (iGUEST) {
		echo $locale['global_151']."<br />\n";
		echo "<input type='text' name='shout_name' value='' class='textbox' maxlength='30' style='width:200px;' /><br />\n";
		echo $locale['global_152']."<br />\n";
	}
	echo "<textarea name='shout_message2' rows='4' cols='50' class='textbox'>".$shout_message."</textarea><br />\n";
	echo "<div style='text-align:center'>".display_bbcodes("100%", "shout_message2", "chatform2", "smiley|b|i|u|url|color")."</div>\n";
	if (iGUEST) {
		echo $locale['global_158']."<br />\n";
		echo "<img id='captcha' src='".INCLUDES."securimage/securimage_show.php' alt='' /><br />\n";
    echo "<a href='".INCLUDES."securimage/securimage_play.php'><img src='".INCLUDES."securimage/images/audio_icon.gif' alt='' class='tbl-border' style='margin-bottom:1px' /></a>\n";
    echo "<a href='#' onclick=\"document.getElementById('captcha').src = '".INCLUDES."securimage/securimage_show.php?sid=' + Math.random(); return false\"><img src='".INCLUDES."securimage/images/refresh.gif' alt='' class='tbl-border' /></a><br />\n";
		echo $locale['global_159']."<br />\n<input type='text' name='captcha_code' class='textbox' style='width:100px' /><br />\n";
	}
	echo "<br /><input type='submit' name='post_ashout' value='".$locale['global_153']."' class='button' />\n";
	echo "</div>\n</form>\n<br />\n";

} else {
	echo "<div style='text-align:center'>".$locale['global_154']."</div>\n";
}

$numrows = dbcount_sb();

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

$result = dbquery(
	"SELECT SUM(COALESCE(sv.vote_value,0)) as vote_count, ts.*, COALESCE(sa.shout_amnesty,0) as amnesty, tu.user_id, tu.user_name, tu.user_level
	FROM ".DB_SHOUTBOX." ts
	LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
	LEFT JOIN ".DB_SF_SHOUT_VOTE." sv ON ts.shout_id=sv.shout_id
	LEFT JOIN ".DB_SF_SHOUT_AMNESTY." sa ON ts.shout_id=sa.shout_id
	GROUP BY ts.shout_id
	HAVING amnesty = 1 OR vote_count > ".SF_VOTE_LIMIT."
	ORDER BY ts.shout_datestamp DESC 
	LIMIT ".$_GET['rowstart'].",20"
);

if (dbrows($result)) {
	$i = 0;
	while ($data = dbarray($result)) {
		echo "<div class='tbl2'>\n";
		echo "<div style='float:right'>\n";
		// Start Vote Count
		if ($data['user_level'] == 101) {
			echo "<strong>";
			if ($data['vote_count'] < 0) {
				echo "<span style='color:red;'>(".$data['vote_count'].")</span>";
			} else {

				echo ($data['vote_count'] > 0 ? "<span style='color:green;'>(+".$data['vote_count'].")</span>" : $data['vote_count']);
			}
			echo "</strong>\n";
		}
		// End Vote Count
		// Start Vote
		if (iMEMBER && $data['user_id'] != $userdata['user_id'] && $data['amnesty'] == 0 && $data['user_level'] == 101) {
			if (!dbcount("(vote_id)", DB_SF_SHOUT_VOTE, "shout_id='".$data['shout_id']."' AND vote_user_id='".$userdata['user_id']."'")) {
				echo "<a href='".$link.$sep."s_action=n_vote&amp;shout_id=".$data['shout_id']."'>";
				echo "<img src='".INFUSIONS."sf_shoutbox_panel/images/h_down_2.gif' border='0' alt='' title='Vote Down' width='15' height='13' 
					onmouseover=\"this.src='".INFUSIONS."sf_shoutbox_panel/images/h_down_1.gif';\" 
					onmouseout=\"this.src='".INFUSIONS."sf_shoutbox_panel/images/h_down_2.gif';\" />";
				echo "</a>\n";
				echo "<a href='".$link.$sep."s_action=y_vote&amp;shout_id=".$data['shout_id']."'>";
				echo "<img src='".INFUSIONS."sf_shoutbox_panel/images/h_up_1.gif' border='0' alt='' title='Vote Up' width='13' height='13' 
					onmouseover=\"this.src='".INFUSIONS."sf_shoutbox_panel/images/h_up_2.gif';\" 
					onmouseout=\"this.src='".INFUSIONS."sf_shoutbox_panel/images/h_up_1.gif';\" />";
				echo "</a>\n";

			}
		}

		// End Vote
		if ((iADMIN && checkrights("S")) || (iMEMBER && $data['shout_name'] == $userdata['user_id'] && isset($data['user_name']))) {
			echo "<a href='".$link.$sep."s_action=edit&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['global_076']."</a> |\n";
			echo "<a href='".$link.$sep."s_action=delete&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['global_157']."</a>\n";
		}
		echo "</div>\n";
		echo "<span class='comment-name'>\n";
		if ($data['user_name']) {
			echo "<a href='".BASEDIR."profile.php?lookup=".$data['shout_name']."' class='side'>".$data['user_name']."</a>\n";
		} else {
			echo $data['shout_name']."\n";
		}
		echo "</span>\n";
		echo "<span class='small'>".showdate("longdate", $data['shout_datestamp'])."</span>\n";
		echo "</div>\n<div class='tbl1'>".sbwrap(parseubb(parsesmileys($data['shout_message']), "b|i|u|url|color"))."</div>\n";
	}
} else {
	echo "<div>".$locale['global_156']."</div>\n";
}

closetable();

echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 20, $numrows, 3, FUSION_SELF."?")."\n</div>\n";

require_once THEMES."templates/footer.php";

?>